package com.clx.performance.dao.vehiclewarn;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.mapper.vehiclewarn.VehicleWarnRangMapper;
import com.clx.performance.model.vehiclewarn.VehicleWarnRang;
import com.clx.performance.param.pc.vehiclewarn.PageVehicleWarnRangeParam;
import com.msl.common.base.Optional;
import com.msl.common.dao.BaseDao;

import java.util.List;

public interface VehicleWarnRangeDao extends BaseDao<VehicleWarnRangMapper, VehicleWarnRang, Integer> {
    List<VehicleWarnRang> ListByWarnConfigId(Integer warnConfigId);

    boolean updateDisable(VehicleWarnRang item);

    IPage<VehicleWarnRang> pageByParam(PageVehicleWarnRangeParam param);
    Optional<VehicleWarnRang> findById(Integer id);

}
